minetest.register_craftitem("french_toast:french_toast_raw", {
    description = "Raw French Toast",
    inventory_image = "french_toast_raw.png",
    on_use = minetest.item_eat(1),
})

minetest.register_craftitem("french_toast:french_toast", {
    description = "French Toast",
    inventory_image = "french_toast.png",
    on_use = minetest.item_eat(4),
})

-- Register SYRUP!
minetest.register_craftitem("french_toast:syrup", {
    description = "Syrup",
    inventory_image = "syrup.png",
    on_use = minetest.item_eat(4),
})

minetest.register_craft({
    type = "cooking",
    output = "french_toast:french_toast",
    recipe = "french_toast:french_toast_raw",
    cooktime = 5,
})

minetest.register_craft({
    type = "shapeless",
    output = "french_toast:french_toast_raw 4",
    recipe = {
        "mobs:egg",
        "farming:bread",
    },
})

-- Register the French Toast with butter
minetest.register_craftitem("french_toast:french_toast_butter",{
    description = "French Toast with Butter",
    inventory_image = "french_toast_butter.png",
    on_use = minetest.item_eat(5),
})

-- Register the French Toast with Fresh Fruit
minetest.register_craftitem("french_toast:french_toast_fruit",{
    description = "French Toast with Fresh Fruit",
    inventory_image = "french_toast_fruit.png",
    on_use = minetest.item_eat(7),
})

-- Register the French Toast with Chocolate Chips
minetest.register_craftitem("french_toast:french_toast_chocolate",{
    description = "French Toast with Chocolate Chips",
    inventory_image = "french_toast_chocolate.png",
    on_use = minetest.item_eat(6),
})

-- Register the French Toast with syrup
minetest.register_craftitem("french_toast:french_toast_syrup",{
    description = "French Toast with Syrup",
    inventory_image = "french_toast_syrup.png",
    on_use = minetest.item_eat(6),
})

-- Register the crafting recipes for the French Toast with the different toppings
minetest.register_craft({
    type = "shapeless",
    output = "french_toast:french_toast_butter",
    recipe = {
        "mobs:butter",
        "french_toast:french_toast",
    },
})

minetest.register_craft({
    type = "shapeless",
    output = "french_toast:french_toast_syrup",
    recipe = {
        "french_toast:syrup",
        "french_toast:french_toast",
    },
})

minetest.register_craft({
    output = "french_toast:syrup 2",
    type = "shapeless",
    recipe = {
        "bucket:bucket_water",
        "farming:sugar",
    },
    replacements = {{"bucket:bucket_water", "bucket:bucket_empty"}},
})

minetest.register_craft({
    output = "french_toast:french_toast_fruit",
    recipe = {
        {"farming:raspberries", "farming:blackberry"},
        {"ethereal:strawberry", "french_toast:french_toast"},
    },
})

minetest.register_craft({
    type = "shapeless",
    output = "french_toast:french_toast_chocolate",
    recipe = {
        "farming:cocoa_beans",
        "french_toast:french_toast",
    },
})
